The Barium Live BPMN Modeler 2.0 works in all browsers on all PCs. However, you must use a modern browser that has support for the technologies that modeling processes online demands.


The following requirements apply:

  • JavaScript enabled in the web browser (this is a standard setting in all web browsers).
  • Cookies must be allowed according to the standard settings of your web browser (cookies are only used to enable functionality on the Barium Live service such as logging in).
  • No limitations to normal web browsing (may apply to certain users in organisations)


  • Microsoft Internet Explorer 9 (or later) on Microsoft Windows, or
  • latest version of Google Chrome on Microsoft Windows or Mac OS, or
  • the latest version of Safari on Mac OS, or
  • latest version of Firefox on Microsoft Windows or Mac OS.


NOTE! Mobile phones and tablets are not supported for modeling but can be used to view process models.


NOTE! Internet Explorer 8 or earlier will not be able to model or view process models.


For more information regarding technical requirements for other tools and usages of Barium Live, please visit the System Requirements article.